Mailinglist Archive: opensuse-ruby (16 mails)

< Previous Next >
[opensuse-ruby] Changing the spec to get rubygem-* packages to build for 13.1/Tumbleweed/Factory
  • From: Johannes Kastl <mail@xxxxxxxxxx>
  • Date: Sat, 17 May 2014 21:55:08 +0200
  • Message-id: <ll8eqs$1q9$3@ger.gmane.org>
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi (part2),

as I mentioned in my previous mail, I wanted to try out jekyll. As the
d:l:r: and d:l:r:e repos are not being built for tumbleweed, I linked
the packages to my home:-project (home:ojkastl_buildservice).

As my home builds for 13.1, TW and Factory, I had to workaround the
ruby packaging changes.

Basically I got it to work by using the following requires instead of
"BuildRequires: ruby-macros >= 2"

%if %suse_version <= 1310 BuildRequires: ruby %endif %if
%suse_version > 1310 BuildRequires: ruby-macros >= 2 %endif

I could not test the packages, as I got one unresolvable atm, so no
idea if they actually work. At least they are building, but I would be
happy to know the right way to solve/workaround this issue...

Your feedback is happily welcome!

Regards,
Johannes
- --
There are only two kinds of music: Rock and Roll.
(Keith Richards)
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)
Comment: Using GnuPG with SeaMonkey - http://www.enigmail.net/

iEYEARECAAYFAlN3vpwACgkQzi3gQ/xETbIC4ACfXFMdjetOF/knqJ5uh09CapIn
0WoAnjNzIQE3pKVUykckfyFYxVQrYX8e
=jic+
-----END PGP SIGNATURE-----

--
To unsubscribe, e-mail: opensuse-ruby+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-ruby+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages